## org.apache.catalina
Interface CometProcessor

All Superinterfaces:
  javax.servlet.Servlet

    public interface CometProcessor

extends javax.servlet.Servlet

This interface should be implemented by servlets which would like to handle asynchronous IO, recieving events when data is available for reading, and being able to output data without the need for being invoked by the container. Note: When this interface is implemented, the service method of the servlet will never be called, and will be replaced with a begin event.

Method Summary
`void` `event(CometEvent event)` Process the given Comet event.

Methods inherited from interface javax.servlet.Servlet
`destroy, getServletConfig, getServletInfo, init, service`

Method Detail

### event

    void event(CometEvent event)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process the given Comet event.

  Parameters:
    `event` - The Comet event that will be processed
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.